QGIS Application - Bug report #11191
Start of QGIS Desktop delayed (1-2 min.)
2014-09-12 12:42 AM - George Mallory

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.4.0 Regression?: No
Operating System: Win7 Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19503
Description

When starting QGIS Desktop (2.4.0), there is a delay in loading the GUI for 1 to 2 minutes. The splash screen shows "Richte die
Oberflache ein" ("Setting up the GUI") during this time, but there's no harddisk activity and no CPU load from qgis-bin.exe. After that QGIS
works normally.

Related issues:
Related to QGIS Application - Bug report # 11085: delayed start after VPN use Closed 2014-08-21

History

#1 - 2014-09-12 12:46 AM - George Mallory
- File Richte_Oberflache_ein.jpg added

#2 - 2014-09-17 04:25 AM - Matthias Kuhn

Random guess: Are there any unavailable network drives?

#3 - 2014-09-17 04:56 AM - George Mallory

No, there are no network drives defined at all.

The startup delay is still present after uninstalling QGIS completely, cleaning registry and reinstalling.

#4 - 2014-10-05 08:24 AM - Giovanni Manghi
- Status changed from Open to Feedback

George Mallory wrote:

No, there are no network drives defined at all.

The startup delay is still present after uninstalling QGIS completely, cleaning registry and reinstalling.

try also deleting the .qgis2 folder (make eventually a backup beforehand).

#5 - 2014-10-06 02:29 AM - George Mallory

Giovanni Manghi wrote:
try also deleting the .qqgis2 folder (make eventually a backup beforehand).

Deleting .qgis2 folder did not change this behavior.
When clicking at the (hanging) splash screen, Windows generates an error report:

Version=1

EventType=AppHangTransient
EventTime=130570600166711810

ReportType=3

Consent=1
Reportldentifier=1ea30080-4d38-11e4-b804-74d4354d8324
IntegratorReportldentifier=1ea30081-4d38-11e4-b804-74d4354d8324
Response.type=4

Sig[0].Name=Problemsignatur 01

Sig[0].Value=qgis-bin.exe

Sig[1].Name=Problemsignatur 02

Sig[1].Value=0.0.0.0

Sig[2].Name=Problemsignatur 03

Sig[2].Value=53ad9365

Sig[3].Name=Problemsignatur 04

Sig[3].Value=unknown

Sig[4].Name=Problemsignatur 05

Sig[4].Value=unknown

Sig[5].Name=Problemsignatur 06

Sig[5].Value=unknown

Sig[6].Name=Problemsignatur 07

Sig[6].Value=unknown
DynamicSig[1].Name=Betriebsystemversion
DynamicSig[1].Value=6.1.7601.2.1.0.256.1
DynamicSig[2].Name=Gebietsschema-ID
DynamicSig[2].Value=3079
DynamicSig[22].Name=Zusétzliche Absturzsignatur 1
DynamicSig[22].Value=a2cff7c4ee4063eb1a920d6efb02e6ae
DynamicSig[23].Name=Zusétzliche Absturzsignatur 2
DynamicSig[23].Value=759¢
DynamicSig[24].Name=Zusétzliche Absturzsignatur 3
DynamicSig[24].Value=759ea06fe60e9a79ad6eafb35d60db7a
DynamicSig[25].Name=Zusétzliche Absturzsignatur 4
DynamicSig[25].Value=a2cf
DynamicSig[26].Name=Zusétzliche Absturzsignatur 5
DynamicSig[26].Value=a2cff7c4ee4063eb1a920d6efb02e6ae
DynamicSig[27].Name=Zusé&tzliche Absturzsignatur 6
DynamicSig[27].Value=759%
DynamicSig[28].Name=Zusé&tzliche Absturzsignatur 7
DynamicSig[28].Value=759ea06fe60e9a79ad6eafb35d60db7a
UI[3]=qgis-bin.exe reagiert nicht

UI[4]=Windows kann online nach einer Lésung suchen. Wenn Sie das Programm schlieBen, gehen ggf. Informationen verloren.
UI[5]=Online nach einer Lésung suchen und das Programm schlieBen
UI[6]=Online nach einer Lésung suchen und das Programm schlieBen
Ul[7]=Programm schlieBen
LoadedModule[0]=C:\\Prog\\QGIS\\bin\\qgis-bin.exe
LoadedModule[1]=C:\Windows\\SYSTEM32\

tdil.dll
LoadedModule[2]=C:\\Windows\\system32\\kernel32.dll
LoadedModule[3]=C:\\Windows\\system32\\KERNELBASE.dII
LoadedModule[4]=C:\\Windows\\system32\SHELL32.dl
LoadedModule[5]=C:\\Windows\\system32\\msvcrt.dll
LoadedModule[6]=C:\\Windows\\system32\SHLWAPI.dII
LoadedModule[7]=C:\\Windows\\system32\\GDI32.dlII
LoadedModule[8]=C:\\Windows\\system32\\USER32.dll
LoadedModule[9]=C:\\Windows\\system32\\LPK.dII
LoadedModule[10]=C:\Windows\\system32\\USP10.dll
LoadedModule[11]=C:\\Prog\QGIS\\bin\qwt5.dll
LoadedModule[12]=C:\\Prog\QGIS\\bin\QtGui4.dll
LoadedModule[13]=C:\\Windows\\system32\COMDLG32.dll
LoadedModule[14]=C:\\Windows\\WinSxS\\amd64_microsoft.windows.common-controls_6595b64144ccf1df_5.82.7601.18201_none_a4d3b9377117c3dA\CC
7117¢3dA\\COMCTL32.dll
LoadedModule[15]=C:\\Windows\\system32\\ADVAPI32.dll
LoadedModule[16]=C:\\Windows\\SYSTEM32\\sechost.dl|
LoadedModule[17]=C:\\Windows\\system32\\RPCRT4.dll
LoadedModule[18]=C:\\Windows\\system32\\OLEAUT32.dlI
LoadedModule[19]=C:\\Windows\\system32\\ole32.dll
LoadedModule[20]=C:\\Windows\\system32\IMM32.dll
LoadedModule[21]=C:\\Windows\\system32\MSCTF.dll
LoadedModule[22]=C:\\Windows\\system32\WINMM.dII
LoadedModule[23]=C:\\Windows\\system32\WINSPOOL.DRV
LoadedModule[24]=C:\\Prog\QGIS\\bin\\libpng16.dll
LoadedModule[25]=C:\\Prog\QGIS\\bin\\zlib1.dlI
LoadedModule[26]=C:\\Prog\QGIS\\bin\MSVCR100.dlI
LoadedModule[27]=C:\\Prog\QGIS\\bin\QtCore4.dlI
LoadedModule[28]=C:\\Windows\\system32\WS2_32.dll
LoadedModule[29]=C:\\Windows\\system32\\NS|.dll
LoadedModule[30]=C:\\Prog\QGIS\\bin\MSVCP100.dll
LoadedModule[31]=C:\\Prog\\QGIS\\bin\QtSql4.dll
LoadedModule[32]=C:\\Prog\\QGIS\\bin\LIBPQ.dII
LoadedModule[33]=C:\\Prog\QGIS\\bin\SSLEAY32.dll
LoadedModule[34]=C:\\Prog\QGIS\\bin\\LIBEAY32.dll
LoadedModule[35]=C:\\Windows\\WinSxS\\amd64_microsoft.vc90.crt_1fc8b3b9ale18e3b_9.0.30729.6161_none_08e61857a83bc251\\MSVCR90.dlI[?Loade
90.dll
LoadedModule[36]=C:\\Windows\\system32\WSOCK32.dll
LoadedModule[37]=C:\\Windows\\system32\\Secur32.dll
LoadedModule[38]=C:\\Windows\\system32\SSPICLI.DLL
LoadedModule[39]=C:\\Windows\\system32\WLDAP32.dlI
LoadedModule[40]=C:\\Windows\\system32\ODBC32.dll
LoadedModule[41]=C:\\Prog\\QGIS\\bin\QtWebKit4.dll
LoadedModule[42]=C:\\Prog\QGIS\\bin\\sqlite3.dlI
LoadedModule[43]=C:\\Windows\\system32\\VERSION.dII
LoadedModule[44]=C:\\Prog\\QGIS\\bin\\QtNetwork4.dll
LoadedModule[45]=C:\\Prog\QGIS\\bin\\gdal111.dll
LoadedModule[46]=C:\\Prog\\QGIS\\bin\\ogdi.dll
LoadedModule[47]=C:\\Prog\\QGIS\\bin\\expat.dl|
LoadedModule[48]=C:\\Prog\QGIS\\bin\\proj.dIl
LoadedModule[49]=C:\\Prog\QGIS\\bin\\xerces-c_3_1.dll
LoadedModule[50]=C:\\Prog\\QGIS\\bin\\jpeg.dll

]
]
]
]
]
]
]
]
LoadedModule[51]=C:\\Prog\QGIS\\bin\

etcdf.dll

LoadedModule[52]=C:\\Prog\\QGIS\\bin\\libcurl.dll
LoadedModule[53]=C:\\Windows\\system32\\Normaliz.dll
LoadedModule[54]=C:\\Prog\QGIS\\bin\\geotiff.dll
LoadedModule[55]=C:\\Prog\QGIS\\bin\\libtiff.dll
LoadedModule[56]=C:\\Prog\QGIS\\bin\\jpeg12.dll
LoadedModule[57]=C:\\Prog\QGIS\\bin\\spatialite.dl!
LoadedModule[58]=C:\\Prog\QGIS\\bin\\geos_c.dlI
LoadedModule[59]=C:\\Prog\\QGIS\\bin\\freexI.dll
LoadedModule[60]=C:\\Prog\QGIS\\bin\\iconv.dll
LoadedModule[61]=C:\\Prog\QGIS\\bin\\libxmI2.dlI
LoadedModule[62]=C:\\Prog\QGIS\\bin\\libmysgl.dll
LoadedModule[63]=C:\\Prog\QGIS\\bin\\hdf5.dlI
LoadedModule[64]=C:\\Prog\QGIS\\bin\\szip.dll
LoadedModule[65]=C:\\Prog\QGIS\\bin\\openjp2.dll
LoadedModule[66]=C:\\Prog\\QGIS\\apps\\qgis\\bin\\qgis_core.dll
LoadedModule[67]=C:\\Prog\QGIS\\bin\QtXmi4.dll
LoadedModule[68]=C:\\Prog\QGIS\\bin\QtSvg4.dll
LoadedModule[69]=C:\\Prog\QGIS\\bin\\spatialindex-64.dll
LoadedModule[70]=C:\\Prog\QGIS\\apps\\qgis\\bin\\qgis_gui.dll
LoadedModule[71]=C:\\Prog\QGIS\\apps\\qgis\\bin\\qgis_analysis.dll
LoadedModule[72]=C:\\Windows\\system32\\dbghelp.dl|
LoadedModule[73]=C:\\Windows\\system32\\odbcint.dlI
LoadedModule[74]=C:\\Windows\\system32\\guard64.dl|
LoadedModule[75]=C:\\Windows\\system32\\PSAPI.DLL
LoadedModule[76]=C:\\Windows\\system32\\fltlib.dll
LoadedModule[77]=C:\\Windows\\system32\\uxtheme.dll
LoadedModule[78]=C:\\Windows\\system32\\dwmapi.dll
LoadedModule[79]=C:\\Windows\\system32\CRYPTBASE.dII
LoadedModule[80]=C:\\Windows\\system32\\userenv.dll
LoadedModule[81]=C:\\Windows\\system32\\profapi.dll
LoadedModule[82]=C:\\Prog\\QGIS\\apps\\qt4\\plugins\\imageformats\\qgif4.dll
LoadedModule[83]=C:\\Prog\QGIS\\apps\\qt4\\plugins\\imageformats\\qico4.dll
LoadedModule[84]=C:\\Prog\QGIS\\apps\\qt4\\plugins\\imageformats\\qjpeg4.dll
LoadedModule[85]=C:\\Prog\QGIS\\apps\\qt4\\plugins\\imageformats\\qmng4.dl|
LoadedModule[86]=C:\\Prog\\QGIS\\apps\\qt4\\plugins\\imageformats\\qsvg4.dil
LoadedModule[87]=C:\\Prog\\QGIS\\apps\\qt4\\plugins\\imageformats\\qtga4.dl|
LoadedModule[88]=C:\\Prog\\QGIS\\apps\\qt4\\plugins\\imageformats\\qtiff4.dll
LoadedModule[89]=C:\\Prog\\QGIS\\apps\\qt4\\plugins\\iconengines\\qsvgicon4.dll
LoadedModule[90]=C:\\Prog\\QGIS\\apps\\qt4\\plugins\\bearer\\qgenericbearer4.dll
LoadedModule[91]=C:\\Prog\\QGIS\\apps\\qt4\\plugins\\bearer\\qnativewifibearer4.dll
LoadedModule[92]=C:\\Windows\\system32\\iphlpapi.dll
LoadedModule[93]=C:\\Windows\\system32\\WINNSI.DLL
LoadedModule[94]=C:\\Windows\\system32\\dhcpcsvc.DLL
LoadedModule[95]=C:\\Windows\\system32\\dhcpcsvc6.DLL
LoadedModule[96]=C:\\Windows\\system32\\wlanapi.dll
LoadedModule[97]=C:\\Windows\\system32\\wlanutil.dll
FriendlyEventName=Beendet und geschlossen.

]
]
]
]
]
]

ConsentKey=AppHangXProcB1

AppName=qgis-bin.exe

AppPath=C:\\Prog\\QGIS\\bin\\qgis-bin.exe

ReportDescription=Aufgrund eines Problems kann dieses Programm nicht mehr mit Windows kommunizieren.
#6 - 2014-10-06 01:50 PM - Matthias Kuhn

Possibly related to #11085

#7 - 2014-10-07 08:52 AM - George Mallory

Matthias Kuhn wrote:

Possibly related to #11085

No VPN, no network drives. | also installed QGIS 32-bit for testing, but that didn't help.

#8 - 2014-10-12 01:20 AM - Giovanni Manghi

George Mallory wrote:

Matthias Kuhn wrote:

Possibly related to #11085

No VPN, no network drives. | also installed QGIS 32-bit for testing, but that didn't help.

C:\\Prog\\QGIS\\

is the path where you installed qgis? what about if you install it in the default/standard path?

#9 - 2014-10-26 03:42 AM - George Mallory
- Target version set to 2.4

- % Done changed from 0 to 100

- Assignee set to George Mallory

- Status changed from Feedback to Closed

- File intel_graphics_driver.JPG added

Problem solved!

The brand new driver update for Intel HD 4400 graphics did the job.

Start-up time of QGIS 2.4 is now ~ 3 seconds.
Thanks to Matthias and Giovanni for their contribution of ideas!

#10 - 2014-10-26 04:07 AM - Giovanni Manghi
- Resolution set to invalid

#11 - 2014-10-26 01:02 PM - George Mallory
- Assignee deleted (George Mallory)
- Status changed from Closed to Reopened

- % Done changed from 100 to 0

Same problem again a couple of hours later. QGIS hangs for 2 minutes on start-up.

#12 - 2014-10-26 01:14 PM - Jiirgen Fischer
- Status changed from Reopened to Closed

#13 - 2017-02-07 07:23 PM - tonkin support

- Status changed from Closed to Reopened
- Target version changed from 2.4 to Version 2.14

This bug has resurfaced in version 2.14.11

Loading stuck at Setting up GUI, does not ever load (even after 10 minutes) following connection to VPN or RDP.

Disconnecting and reconnecting to the network does not resolve. Requires a full restart or connection to a different network (ie wireless network instead of

wired).

#14 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#15 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution changed from invalid to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files
Richte_Oberflache_ein.jpg 49.8 KB 2014-09-11 George Mallory
intel_graphics_driver.JPG 84.7 KB 2014-10-26 George Mallory
